TAAS - Feature #43

LCC Booking ID
09/01/2022 06:08 PM - Anil KV

Status: Testing Done
Priority: Normal
Assignee: Christy Saint
Category:

Target version: 22.12
Owner(Agency): Travvise

Time Taken(HH): 48.00

Module: LCC Booking ID

Start date:

Due date:

% Done:

Estimated time:
Spent time:

Tested By:

Code Reviewed By:

09/02/2022
09/04/2022
90%

20:00 hours
0:00 hour

unnikannan S

Description
Coding LCC Booking ID

GUI Change
1) 2nd Supplier Account label change to Customer Account

2) Airline Input box grouping 3, 10% + 10 % + 80 (Like code|name)

3) Supplier and Customer input box split 2 - 20% + 80 (Like code|name)

History

#1 - 09/01/2022 06:22 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmlFile.html added

- File sql.sql added

#2 - 09/05/2022 01:55 PM - Christy Saint
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 09/16/2022 05:58 PM - Christy Saint

- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 40 to 30

- Time Taken(HH) set to 48.00

#4 - 09/17/2022 01:58 AM - Christy Saint
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 30 to 50

#5 - 09/28/2022 03:05 PM - Christy Saint
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 30

In saving process data is null in controller(GdsLccController.cs) save part

#6 - 11/04/2022 05:33 PM - Christy Saint

Counter staff development is not completed
#7 - 12/01/2022 01:22 PM - Christy Saint
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#8 - 12/15/2022 02:57 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET MANDATORY FIELDS RED AND REQUIRED
( Cus. a/c & Sup. a/c)

2.SET RED STAR ON BRANCH WIDGET
3.FIX BUGS ON AIRLINE
(WRONG AUTO COMPLETION)

4.SET ALERTS PROPERLY

#9 - 01/09/2023 11:41 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 01/14/2023 03:17 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.DISPLAY PROPER ALERTS
2. DONT ALLOW CHOOSE SELF ID AS MAIN BOOKING ID

#11 - 01/16/2023 11:40 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 03/11/2023 04:54 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix duplication bugs on grid
(Sort--> Update)

#13 - 03/11/2023 06:54 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 03/13/2023 04:07 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Use CODE:NAME Format on grid
(Supplier & Customer)

#15 - 03/15/2023 07:48 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#16 - 04/05/2023 05:11 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Error on console while focus out from auto completion fields
2.Remove red and required alert

( Customer & Supplier)

#17 - 04/11/2023 10:37 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 06/26/2023 06:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED
1.ADD TOL TIPS

#19 - 06/27/2023 04:35 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 07/25/2023 12:56 PM - Christy Saint
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

1.Use CODE:NAME Format on grid
(Supplier & Customer)

#21 - 07/25/2023 03:09 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 09/07/2023 04:53 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD BLANK OPTION FOR LCC BOOKING ID

#23 - 09/14/2023 10:39 AM - Christy Saint

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 09/14/2023 12:32 PM - unnikannan S
TESTING DONE

#25 - 10/26/2023 04:28 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.NOT CLEARING DATAS WHILE CLEARING CODE AIRLINE,CUSTOMER

#26 - 10/27/2023 03:40 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 09/12/2024 10:03 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

Files

2-tsModel.ts 1.65 KB 09/01/2022 Anil KV
1-CsModel.cs 2.2 KB 09/01/2022 Anil KV
3-CsFile.cs 13.7 KB 09/01/2022 Anil KV
5-TsFile.ts 14.3 KB 09/01/2022 Anil KV
4-CsControllerFile.cs 25.1 KB 09/01/2022 Anil KV
6-HtmiFile.html 1.9 KB 09/01/2022 Anil KV
sql.sql 14.4 KB 09/01/2022 Anil KV

05/04/2025

/4


http://www.tcpdf.org

